<?php
// Proteção Login
require_once("inc/protecao-admin.php");

// Proteção contra acesso direto
if(!preg_match("/".str_replace("http://","",str_replace("www.","",$_SERVER['HTTP_HOST']))."/i",$_SERVER['HTTP_REFERER'])) {
die("<span class='texto_status_erro'>Atenção! Acesso não autorizado, favor entrar em contato com nosso atendimento para maiores informações!</span>");
}

if(empty($_POST["pasta"]) or empty($_POST["link"]) or empty($_POST["produtora"])) {
$_SESSION["status_acao"] = "<div class='alert alert-warning text-center' role='alert'>".lang_info_campos_vazios."</div>";
header("Location: /admin/admin-editar-pp");
exit();
}

if(count($_POST["dias"]) > 0){
	$dias = implode(",",$_POST["dias"]);
}

mysqli_query($conexao,"Update programetes_programas_links set pasta = '".$_POST["pasta"]."', link = '".$_POST["link"]."', produtora = '".$_POST["produtora"]."', produtora = '".$_POST["produtora"]."', tipo = '".$_POST["tipo"]."', dias = '".$dias."' where codigo = '".$_POST["codigo_pp_link"]."'") or die(mysqli_error($conexao));

// Cria o sessão do status das ações executadas e redireciona.
$_SESSION["status_acao"] = "<div class='alert alert-success text-center' role='alert'>".lang_pagina_pp_cadastrar_resultado_ok."</div>";

header("Location: /admin/admin-pp");
?>